# enid query oracle

```ansi
Querying commands for the oracle module

Usage:
  enid query oracle [flags]
  enid query oracle [command]

Available Commands:
  actives                Query the active list of Eni assets recognized by the oracle
  exchange-rates         Query the current Eni exchange rate w.r.t an asset
  feeder                 Query the oracle feeder delegate account
  params                 Query the current Oracle params
  price-snapshot-history Query the history for oracle price snapshots
  twaps                  Query the time weighted average prices for denoms with price snapshot data
  vote-penalty-counter   Query the # of the miss count and abstain count
  vote-targets           Query the current Oracle vote targets

Flags:
  -h, --help   help for oracle

Global Flags:
      --chain-id string     The network chain ID
      --home string         directory for config and data (default "~/.eni")
      --log_format string   The logging format (json|plain)
      --log_level string    The logging level (trace|debug|info|warn|error|fatal|panic)
      --trace               print out full stack trace on errors

Use "enid query oracle [command] --help" for more information about a command.

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-query/enid-query-oracle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
